org.springframework.data.domain

## Class ExampleMatcher.PropertySpecifiers

- java.lang.Object
- - org.springframework.data.domain.ExampleMatcher.PropertySpecifiers

Enclosing interface:
  ExampleMatcher

    public static class ExampleMatcher.PropertySpecifiers
    extends Object

Define specific property handling for Dot-Paths.

Since:
  1.12
Author:
  Christoph Strobl, Mark Paluch

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(ExampleMatcher.PropertySpecifier specifier)`
`boolean` `equals(Object o)`
`ExampleMatcher.PropertySpecifier` `getForPath(String path)`
`Collection<ExampleMatcher.PropertySpecifier>` `getSpecifiers()`
`int` `hashCode()`
`boolean` `hasSpecifierForPath(String path)`
`boolean` `hasValues()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public void add(ExampleMatcher.PropertySpecifier specifier)

#### hasSpecifierForPath

    public boolean hasSpecifierForPath(String path)

#### getForPath

    public ExampleMatcher.PropertySpecifier getForPath(String path)

#### hasValues

    public boolean hasValues()

#### getSpecifiers

    public Collection<ExampleMatcher.PropertySpecifier> getSpecifiers()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`